<template>
  <div class="Content">
    <div class="text-area">
      <div class="title"><span class="tips">*</span>不通过理由</div>
      <textarea placeholder="请输入" maxlength="200" v-model="opinion"></textarea>
      <div class="num">{{opinion.length}}/200</div>
      <!-- <u-input v-model="opinion" type="textarea" placeholder="请输入"  maxlength="500" /> -->
    </div>
    <div class="footer" @click="examine(0)">
      <div class="btn">保存</div>
    </div>
  </div>
</template>

<script>
export default {
  name: "Content",
  data() {
    return {
      opinion: '',
      id: '',
    };
  },
  onShow() {
    document.title = '居民档案审核'
  },
  onLoad(option) {
    this.id = option.id
  },
  methods: {
    examine(pass) {
      if(!this.opinion) {
        return this.$u.toast('请输入不通过理由')
      }
      this.$instance.post(`/app/appresident/examine?id=${this.id}&pass=${pass}&opinion=${this.opinion}`).then((res) => {
        if (res.code == 0) {
          this.$u.toast('审核成功')
          uni.$emit('updatePeople')
          setTimeout(() => {
            uni.navigateBack({delta: 2})
          }, 600)
        }
      })
    }
  },
};
</script>

<style scoped lang="scss">
.Content {
  .text-area{
    padding: 34px 32px;
    background-color: #fff;
    .title{
      font-size: 32px;
      font-family: PingFangSC-Regular, PingFang SC;
      color: #333;
      line-height: 44px;
      margin-bottom: 32px;
      .tips{
        font-size: 32px;
        margin-right: 8px;
        color: #f46;
      }
    }
    textarea{
      width: 100%;
      height: 500px;
      word-break: break-all;
    }
  }
  .num{
    text-align: right;
    color: #999;
  }
  .footer {
    width: 100%;
    position: fixed;
    bottom: 0;
    left: 0;
  }
  .btn {
    width: 100%;
    height: 112px;
    line-height: 112px;
    text-align: center;
    background: #3975C6;
    font-size: 32px;
    font-family: PingFangSC-Medium, PingFang SC;
    font-weight: 500;
    color: #FFF;
  }
  .line-bg {
    width: 100%;
    height: 16px;
    background: #F5F5F5;
  }
}
</style>
